Summary: NSS library for postgresql
Name: nss_postgresql
Version: 0.6.1
Release: %mkrel 14
Source0: http://ovh.dl.sourceforge.net/sourceforge/authpgsql/%{name}-%{version}.tar.bz2
Patch0: nss_postgresql_include_path.patch
Patch1: nss_postgresql_lock.patch
Patch2: nss_postgresql_glibc.patch
License: GPL
Group: System/Libraries
Url: http://www.sourceforge.net/projects/authpgsql
BuildRequires: libpq-devel
BuildRequires: postgresql-devel

%description
This library provide the capability to have all classical
users definitions in a PostgreSQL server instead than in the
old plain text files in /etc passwd,group,shadow.

All is done without any trick or something like, simply
connecting to the nss (name servica switch) facility
offered by the libc (2.x) as nis and nisplus already did.

All without recompiling or touching any application
configurations. Just compile and install nss_postgresql
library and set up a PostgreSQL server.

%prep
%setup -q
%autopatch -p0

%build
%make_build CFLAGS="%optflags -fPIC"

%install
mkdir -p %buildroot/{%_lib,%_sysconfdir}
install -m755 libnss_pgsql.so.2 %buildroot/%_lib/libnss_pgsql.so.2
install -m644 nss-pgsql.conf %buildroot/%_sysconfdir/nss-pgsql.conf
install -m600 nss-pgsql-root.conf %buildroot/%_sysconfdir/nss-pgsql-root.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc sampleschema README* TODO AUTHORS
/%_lib/libnss_pgsql.so.2
%config(noreplace) %_sysconfdir/*.conf






%changelog
* Thu Feb 13 2020 umeabot <umeabot> 0.6.1-14.mga8
+ Revision: 1515564
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.6.1-13.mga7
+ Revision: 1299804
- Mageia 7 Mass Rebuild

* Sun Jul 22 2018 wally <wally> 0.6.1-12.mga7
+ Revision: 1244856
- add patch to fix build without bits/libc-lock.h in glibc
+ kekepower <kekepower>
- Use make_build

* Mon Feb 08 2016 umeabot <umeabot> 0.6.1-11.mga6
+ Revision: 950860
- Mageia 6 Mass Rebuild

* Tue Nov 25 2014 cjw <cjw> 0.6.1-10.mga5
+ Revision: 799052
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 0.6.1-9.mga5
+ Revision: 748750
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.1-8.mga5
+ Revision: 682943
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.1-7.mga4
+ Revision: 508345
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 13 2012 nanardon <nanardon> 0.6.1-5.mga3
+ Revision: 281184
- patch1: use pthread lock instead libc one (thx misc)

* Sat Aug 11 2012 nanardon <nanardon> 0.6.1-4.mga3
+ Revision: 280549
- imported package nss_postgresql


* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 0.6.1-4mdv2008.1
+ Revision: 141006
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 21 2007 Michael Scherer <misc@mandriva.org> 0.6.1-4mdv2007.1
+ Revision: 147522
- rebuild for new postgresql
- Import nss_postgresql

* Tue Jan 24 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-3mdk
- fix buildrequires

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-2mdk
- add post/postun

* Mon Jan 23 2006 Olivier Thauvin <nanardon@mandriva.org> 0.6.1-1mdk
- Initial mdv package

